<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>
<?xbl href="bindings.xml"?>
<html><head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>X-Smiles.org</title>

<link href="xsmiles_style.css" type="text/css" rel="stylesheet">
<link href="xsmiles_style.html" type="text/css" rel="stylesheet">
<style type="text/css">
					td.nav, table.nav, tr.nav,td.contentarea {vertical-align: top; border-width:0px;}
				</style><!--NOTE: THIS FILE IS AUTOMATICALLY GENERATED BY XSL, DO NOT EDIT BY HAND. EDIT FEATURES.XML INSTEAD AND RUN 'build.sh sitedoc--></head><body>
<img alt="X-SMILES.ORG" src="xsmiles.gif"><table class="nav">
<tbody><tr class="nav">
<td class="nav" style="vertical-align: top; width: 100pt;">
     <div id="navbar" class="navbar">
     <div>
     <p id="link-xsmiles" class="link">
      <a class="linkmain" href="index.html">X-Smiles</a>
     </p>
     <p id="link-objectives" class="link">
      <a class="linkmain" href="xsmiles_objectives.html">Objectives</a>
     </p>
     <p id="link-contributors" class="link">
      <a class="linkmain"  href="contributors.html">Contributors</a>
     </p>
     <p id="link-screenshots" class="link">
      <a class="linkmain" href="screenshots.html">Screenshots</a>
     </p>
     <p id="link-downloads" class="link">
      <a class="linkmain" href="download.html">Download</a>
     </p>
     <p id="link-documents" class="link">  
      <a class="linkmain">Documents</a>
      <a class="linksub1" href="xsmiles_features.html">Features</a> 
      <a class="linksub1" href="xsmiles_installation.html">Installation</a>
      <a class="linksub1" href="platforms.html">Platforms</a>
      <a class="linksub1" href="xsmiles_faq.html">FAQ</a>
      <a class="linksub1" href="xsmiles_test.html">Testimonials</a>
     </p>
     <p id="link-developers" class="link">
      <a class="linkmain">Developer Area</a>
      <a class="linksub1" href="participate.html">Participating</a>
      <a class="linksub1" href="techspec.html">Technical Spec</a>
      <a class="linksub1" href="xsmiles_compiling.html">How to compile</a>
      <a class="linksub1" href="xsmiles_future.html">Projects</a>
      <a class="linksub1" href="http://www.xsmiles.org/javadoc/index.html">Javadoc</a>
      <a class="linksub1" href="cvs.html">CVS access</a>
      <a class="linksub1" href="xsmiles_smil.html">SMIL package</a>
      <a class="linksub1" href="http://www.xsmiles.org/demo/demos.xhtml">Demos</a>
     </p>
     <p id="link-reading" class="link">
      <a class="linkmain">Reading</a>
      <a class="linksub1" href="presentations.html">Presentations</a>
      <a class="linksub1" href="publications.html">Publications</a>
     </p>
     <p id="link-feedback" class="link">
      <a class="linkmain">Feedback</a>
      <a class="linksub1" href="http://sourceforge.net/bugs/?group_id=18700"> Bugs</a>
      <a class="linksub1" href="xsmiles_lists.html">Mailing lists</a>
     </p>
    </div>
    </div>
</td><td class="contentarea">
<div class="contentarea">
<h1>Projects</h1>
<p>NOTE: See also X-Smiles <a href="http://sourceforge.net/pm/?group_id=18700">current tasks</a> at SourceForge.<br>
</p>
<hr style="width: 100%; height: 2px;">
<h1>Short-term goals</h1>
<p>The X-Smiles browser is currently at a beta stage. Many features are working, but many more are not yet there.&nbsp;<br>This document is a <b>wish list</b> of future features in X-Smiles.<br>
</p>
<h2>Porting and testing on embedded devices</h2>
<p>This is one of the main goals of X-Smiles project. Current activity
includes porting X-Smiles to Kaffe VM. Also, we have a J2ME Personal
Profile port working. See FAQ. What we need currently, is interested
developers, who are willing to test these in a real device and report
the results back to us.<br>
</p>
<h2>Complete CSS 2.1 rendering</h2>We support CSS 2.1 mobile profile
using just basic AWT Graphics drawing operations. We are still missing
a lot of CSS features, including negative margins, fixesd positioning,
overflow: scroll, etc.<br>
<h2>SVG support</h2>
<p>Currently, X-Smiles uses CSIRO SVG viewer. Apache's Batik is a more
complete SVG implementation, so it should be integrated into X-Smiles.
Batik does not support SVG animation yet, though. The main problem here
is combining the DOM implementations, so that scripting and mixing
languages work seamlessly.<br>
</p>
<h2>Legacy HTML+scripting support</h2>The browser can read and fix
broken HTML pages. This works by internally converting the (broken)
HTML stream into XHTML. What we still need is HTML DOM (level 0)
support, so that legacy scripts would work. Also, we have some support
for HTML forms, but the implementation is not complete. Additionally,
legacy HTML style parameters should be supported by converting them
into CSS properties. We need interested developers, who could be
willing to contribute to this area. <br>
<h2>Timesheets: Better integration of time and spatial dimensions</h2>SMIL
is a good format for time-based documents, but we feel that there is a
better way to include time in XML documents. We have started a
prototype implementation of timesheets.<br>
<hr style="width: 100%; height: 2px;">
<h1>Long-term goals</h1>X-Smiles is mainly a research project, so the long-term goals include more research-oriented goals<br>
<h2>Browser API: Standardizing module based design of Web clients<br>
</h2>Great XML languages with good implementation are popping up all
the time. What is missing, is a standardized framework for XML language
implementations that could be plugged into a Web client. This is much
more complicated than the normal browser plugins, since the languages
must integrate at a lower level (DOM). How to integrate the layout, for
instance, is another difficult topic in this area.<br>
<h2>New communication modes: SIP, JXTA, Web Services</h2>HTTP is great
protocol, but has known limitations. Interactive P2P services should be
built on top of some other protocol, such as SIP, JXTA or Web Services.<br>
<h2>Layout models and CSS</h2>How powerful CSS is? Can and should CSS be extended to different layout models and modalities?<br>
<br>
<h2>Multimodal interaction</h2>
<p>We are interested in researching multiple modalities in Browser
context. Current interests include combining speech and graphical UI
modalities. XForms could be used as the basis, and the concrete UI
could be rendered using Speech, CSS, SVG, or even X3D graphics
simultaniously.</p>
<p>
<br>
</p>
<br>
<br>
<hr>
		  Copyright (c) 2000-2007 X-Smiles.org et.al.
	</div>
</td>
</tr>
</tbody></table>
</body></html>